<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_d36d5ad3900b429055d2ab305b68" . "bdbd" => base64_decode("Zm9ydW" . "1fbWVz" . "c2FnZQ" . "=="), "_76b2584d18510f887f4a6f6b81f9695" . "2" => base64_decode("Y29tbW9uLmhlYWRlci5m" . "b3J1bQ=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZ" . "w=="), "_4cb84eb74ebb3a0cd6e531eaa" . "8157092" => base64_decode("YXBwX" . "2Zvcn" . "Vt"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d36d5ad3900b429055d2ab3" . "05b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_76b2584d18510f887f" . "4a6f6b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4cb84eb74ebb3a0cd6e531ea" . "a8157092"];
    }
}